ActiveAdmin.register Role do
  permit_params :name, :description, nodegroup_ids: [], nodegroups_attributes: [:name]

  index do 
    selectable_column
    column :name
    column :description
    column "Related nodegroups" do |role|
      (role.nodegroups.map{ |p| p.name }).join(', ').html_safe
    end
    actions
  end

  form do |f|
    #f.input :user_id, :label => 'Member', :as => :select, :collection => User.all.map{|u| ["#{u.last_name}, #{u.first_name}", u.id]}
    #f.inputs "Role" do
    #  f.semantic_fields_for :nodegroups do |s|
    #    s.input :name, :as => :select, :collection => Nodegroup.all.map{|u| ["#{u.name}", u.id]}
    #  end
    #end
    f.inputs :name
    f.inputs :description
    f.inputs :nodegroups
  end


# See permitted parameters documentation:
# https://github.com/activeadmin/activeadmin/blob/master/docs/2-resource-customization.md#setting-up-strong-parameters
#
# permit_params :list, :of, :attributes, :on, :model
#
# or
#
# permit_params do
#   permitted = [:permitted, :attributes]
#   permitted << :other if params[:action] == 'create' && current_user.admin?
#   permitted
# end

end
