ActiveAdmin.register Nodegroup do
  permit_params :name, :description, role_ids: []
  
  index do 
    selectable_column
    column :name
    column :description
    column "Related roles" do |nodegroup|
      (nodegroup.roles.map{ |p| p.name }).join(', ').html_safe
    end
    actions
  end

# See permitted parameters documentation:
# https://github.com/activeadmin/activeadmin/blob/master/docs/2-resource-customization.md#setting-up-strong-parameters
#
# permit_params :list, :of, :attributes, :on, :model
#
# or
#
# permit_params do
#   permitted = [:permitted, :attributes]
#   permitted << :other if params[:action] == 'create' && current_user.admin?
#   permitted
# end

end
